Subject: Trainer Candidate - Siddhant Sharma
From: Siddhant Sharma <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 14 Oct 2021 05:54:45 -0400

Tech Support
Test

Name

Siddhant
Sharma

E-mail

[email-masked]

Phone Number

(+91) 7873250319

Do you have your own
transportation (2 or 4 wheeler) or are you able to commute to office without
using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15
Metro Station

I have my own 2/4 wheeler transport

Where
do you currently live (area)

Trilokpuri, New
Delhi

Please give us details of your last 3 employments
including current. If you've not worked in 3 companies, please enter NA

Name of Company

Designation

Last
working day

Monthly Salary (inhand)

Current
Employer

Finwizard Technologies Pvt Ltd

Quality Manager

58700

Previous Employer 1

Unacademy: Sorting Hat
Technologies Pvt Ltd

Sr. Quality Analyst

21st June 2021

45233

Previous Employer 2

OYO: Alcott Townplanners Pvt
Ltd

Area Quality Manager

31st April 2021

42117

If Selected, how much time do you need
to join?

Immediate joiner

Please briefly
describe your work experience specifically in training?

TQM:
Training and

Quality Management,

Developing Training and QC SOPs,

Supervising Sales team and

Production w.r.t. standards

set for optimized output for

International Process &

Domestic, Implementing

internal training and audit process and

coaching individuals on failed

cases, Implementing Zero

Tolerance Policy for

adequate cases, Managing

and reducing wastage, Hiring

resources for Training and Quality Control

on a agent’s level

Have you worked as a trainer in a Call
Center/Customer Service/BPO Environment?

Yes

Please tell us below in 300 - 500
words about the most difficult situation you faced either while training or
managing a team.

It is a tad bit of a challenge during retraining
of resouces while month end, most of them remaining focused into continuing
their own pitch. Have coached a team of 120 BDEs into PIP out of which 109 were
retained and have efficiently created success stories and 7 of them has come up
to Managerial interview as well.

What according to you
is the difference between good and great customer service. (Explain in 4 - 6
sentences)

The companies that are generally acknowledged to be
providers of “great”, rather than merely “good”, service are those that
typically go the “extra mile” in the way they treat their customers.

This may include doing simple things like calling with an Estimated Time of
Arrival (i.e., ETA) when they are approaching the limits of their normal on-site
response times, or following-up after a service call to explain why an equipment
failure may have occurred in the first place, and how to possibly avoid it from
happening again in the future.

What according to you makes you a
good candidate for this position?

In this job I’ll be keeping
as much of customer care burden off the salespeople’s plates as possible. The
more customer questions and issues I can take off their shoulders, the more they
can focus on selling. I specialize in keeping clients happy and up to date. I do
that now, at Finwizard Technologies. That’s the best part of my job. I keep a
million details organized and double-check to make sure every client has exactly
what they need.

Once I can get your clients to trust me enough to stop contacting their sales
team with their issues and contact me instead, your salespeople’s lives will
get a lot easier. They won’t have as many interruptions in their day. I’ll
be in their corner protecting their time by handling most of the day-to-day
customer care issues on my own.

On a scale of 1 - 5 please rate your
fluency in spoken English

5